#ifndef S_LOOP_SRC_DRIVERS_BOARDS_CAM10_INCLUDE_WR_CAM10_DEF_H_
#define S_LOOP_SRC_DRIVERS_BOARDS_CAM10_INCLUDE_WR_CAM10_DEF_H_

#ifdef __cplusplus
extern "C" {
#endif

// undef this to build for Entron camera
#define USE_CAM10_CAM
// build object detection camera F/W by default, define below macro to build the
// traffic light camera F/W
#define CAM10_TF_CAM
// trigger mode or not
#undef CAM_TRIGGER_MODE

#define likely(x)       __builtin_expect((x), 1)
#define unlikely(x)     __builtin_expect((x), 0)

#ifdef USE_CAM10_CAM

#ifdef CAM10_TF_CAM
#define CAM_FRAME_WIDTH 1920
#define CAM_FRAME_HEIGHT 1200
#define CAM_FPS 20
#else
#define CAM_FRAME_WIDTH 1200
#define CAM_FRAME_HEIGHT 1200
#define CAM_FPS 10
#endif  // CAM10_TF_CAM

#else
#define CAM_FRAME_WIDTH 1920
#define CAM_FRAME_HEIGHT 1080
#define CAM_FPS 20
#endif  // USE_CAM10_CAM

/* Format is: Version 1.0 (Major.Minor) Build date: 9/10/17 (MM/DD/YY) */
#define CAM_USB_FW_VER_MAJOR                         1
#define CAM_USB_FW_VER_MINOR                         0
#define CAM_USB_FW_BUILD_MONTH                       7
#define CAM_USB_FW_BUILD_DAY                         18
#define CAM_USB_FW_BUILD_YEAR                        19  /* year 2019 */
#define CAM_USB_FW_VER_LEN                           5

/*
 * CAM board register access definition: 12 bytes
 *   byte 0:      register access type/return status;
 *   byte 1:      chip type;
 *   byte 2:      address length: 1, 2 or 4 bytes;
 *   byte 3:      data length: 1, 2 or 4 bytes;
 *   byte 4 - 7:  32-bit register address field in little endian order;
 *   byte 8 - 11: 32-bit data field in little endira order.
 */
#define CAM_REG_RW_LEN                               12
#define CAM_REG_READ                                 1
#define CAM_REG_WRITE                                2
/* CAM chip definition */
// #define CAM_CHIP_USB                                 1  /* USB controller */
#define CAM_CHIP_DES                                 2  /* Deserializer */
#define CAM_CHIP_SER                                 3  /* Serializer */
#define CAM_CHIP_ISP                                 4  /* ISP */
#define CAM_CHIP_SENSOR                              5  /* CAM sensor */

/* supported extension unit ioctls to the device */
#define CAM_XU_GET_FIRMWARE_VERSION_CONTROL          (0x01)
#define CAM_XU_DEV_RESET                             (0x02)
#define CAM_XU_FW_FRAME_COUNT                        (0x03)
#define CAM_XU_REG_RW                                (0x04)
#define CAM_XU_SPI_FLASH_RW                          (0x05)
#define CAM_XU_ISP_EEPROM_RW                         (0x06)

#ifdef __cplusplus
}
#endif

#endif  // S_LOOP_SRC_DRIVERS_BOARDS_CAM10_INCLUDE_WR_CAM10_DEF_H_

